module Splicer
  module Dynect

    # A simple configuration data structure
    # @author Matthew A. Johnston <warmwaffles@gmail.com>
    class Config
      attr_reader :customer, :username, :password

      def initialize(customer, username, password)
        @customer = customer
        @username = username
        @password = password
      end

      def provider
        Provider.new(self)
      end
    end

  end
end
